/**
 * 
 */
package com.wieseke.cptk.common.exceptions;

/**
 * @author Nicolas Wieseke
 * 
 */
public class GenerationException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = -7008684409796812924L;

	/**
	 * default constructor
	 */
	public GenerationException() {
		super();
	}

	/**
	 * constructor with message
	 * 
	 * @param message
	 */
	public GenerationException(String message) {
		super(message);
	}

	/**
	 * constructor with cause
	 * 
	 * @param cause
	 */
	public GenerationException(Throwable cause) {
		super(cause);
	}

	/**
	 * constructor with message and cause
	 * 
	 * @param message
	 * @param cause
	 */
	public GenerationException(String message, Throwable cause) {
		super(message, cause);
	}
}
