/**
 * 
 */
package com.wieseke.cptk.common.api;

import java.io.OutputStream;

import com.wieseke.cptk.common.exceptions.SerializeException;

/**
 * @author Nicolas Wieseke
 * 
 */
public interface ISerializer {

	/**
	 * serialize the content of the ICophylogeny to an OutputStream
	 * 
	 * @param outputStream
	 * @param cophylogeny
	 * @throws SerializeException
	 */
	public void serialize(OutputStream outputStream, ICophylogeny cophylogeny) throws SerializeException;
}
