/**
 * 
 */
package com.wieseke.cptk.output.wizards;

import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Text;

/**
 * @author Nicolas Wieseke
 * 
 */
public class ReconstructionChooseWizardPage extends WizardPage {

	Text number;

	protected ReconstructionChooseWizardPage(String pageName) {
		super(pageName);
		this.setTitle("Choose reconstruction");
		this.setDescription("Enter the number of the reconstruction.");
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.eclipse.jface.dialogs.IDialogPage#createControl(org.eclipse.swt.widgets
	 * .Composite)
	 */

	public void createControl(Composite parent) {
		Composite composite = new Composite(parent, SWT.FILL);
		GridLayout layout = new GridLayout(2, false);
		composite.setLayout(layout);
		Label name = new Label(composite, SWT.NONE);
		name.setText("Number:");
		number = new Text(composite, SWT.BORDER);
		GridData gridData = new GridData();
		gridData.horizontalAlignment = SWT.FILL;
		gridData.grabExcessHorizontalSpace = true;
		number.setLayoutData(gridData);
		number.setText("");
		number.selectAll();
		setControl(composite);
	}

	public String getNumber() {
		return number.getText();
	}

}
