/**
 * 
 */
package com.wieseke.cptk.reconstruction.dao;

import java.util.List;

import com.wieseke.cptk.common.api.INode;
import com.wieseke.cptk.common.dao.Node;

/**
 * @author Nicolas Wieseke
 * 
 */
public class ReconstructionNode extends Node {

	/**
	 * @param parent
	 */
	public void setParent(ReconstructionNode parent) {
		super.setParent(parent);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.wieseke.cptk.common.dao.Node#getChildren()
	 */
	@SuppressWarnings("unchecked")
	
	public List<? extends ReconstructionNode> getChildren() {
		return (List<ReconstructionNode>) super.getChildren();
	}

	public ReconstructionNode(INode node) {
		super();
		this.setLabel(node.getLabel());
		this.setLevel(node.getLevel());
		this.setNumber(node.getNumber());
		this.setChildrenCount(node.getChildrenCount());
	}
}
